package org.yacos.web.admin;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.multiaction.MultiActionController;
import org.yacos.core.article.IArticleManager;
import org.yacos.core.conferences.IConferenceManager;
import org.yacos.core.users.IUserManager;

public class AdminController extends MultiActionController {
	private IArticleManager articleManager;
	private IUserManager userManager;
	private IConferenceManager conferenceManager;
	/**
	 * @return the articleManager
	 */
	public IArticleManager getArticleManager() {
		return articleManager;
	}
	/**
	 * @param articleManager the articleManager to set
	 */
	public void setArticleManager(IArticleManager articleManager) {
		this.articleManager = articleManager;
	}
	/**
	 * @return the userManager
	 */
	public IUserManager getUserManager() {
		return userManager;
	}
	/**
	 * @param userManager the userManager to set
	 */
	public void setUserManager(IUserManager userManager) {
		this.userManager = userManager;
	}
	/**
	 * @return the conferenceManager
	 */
	public IConferenceManager getConferenceManager() {
		return conferenceManager;
	}
	/**
	 * @param conferenceManager the conferenceManager to set
	 */
	public void setConferenceManager(IConferenceManager conferenceManager) {
		this.conferenceManager = conferenceManager;
	}
	
	public ModelAndView show(HttpServletRequest request, HttpServletResponse response){
		return new ModelAndView("admin");
	}
}
